/**
    Copyright 2017 Andrea "Stock" Stocchero

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

	    http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
*/
package org.pepstock.charba.client.defaults;

/**
 * Interface to define legend labels object defaults.
 * 
 * @author Andrea "Stock" Stocchero
 *
 */
public interface IsDefaultLegendLabels extends IsDefaultFontItem {

	/**
	 * Returns if label style will match corresponding point style (size is based on fontSize, boxWidth is not used in this
	 * case).
	 * 
	 * @return if label style will match corresponding point style (size is based on fontSize, boxWidth is not used in this
	 *         case).
	 */
	boolean isUsePointStyle();

	/**
	 * Returns the width of colored box.
	 * 
	 * @return width of colored box.
	 */
	int getBoxWidth();

	/**
	 * Returns the padding to apply around labels. Only top and bottom are implemented.
	 * 
	 * @return Padding to apply around labels. Only top and bottom are implemented.
	 */
	int getPadding();

}